#
# spec file for package chmlib (Version 0.39)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           chmlib
BuildRequires:  gcc-c++
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          System/Libraries
Autoreqprov:    on
Version:        0.39
Release:        1.2
%define rversion 0.39
Source0:        %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}.diff
URL:            http://morte.jedrea.com/~jedwin/projects/chmlib/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A library for dealing with ITSS/CHM files.

%description
CHMLIB is a library for dealing with Microsoft ITSS/CHM format files.



Authors:
--------
    Jed Wing <jedwin@ugcs.caltech.edu>

%debug_package
%package      devel
Summary:        Documentation and Headers for chmlib
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description	devel
This package contains the headers and documentation for the chmlib API
that programmers will need to develop applications which use chmlib,
the software library for dealing with Microsoft ITSS/CHM format files.



Authors:
--------
    Jed Wing <jedwin@ugcs.caltech.edu>

%prep
%setup -q -n "%{name}-%{rversion}"
%patch

%build
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector"
export CXXFLAGS="$CFLAGS"
export CXXCPP="g++ -E"
./configure --mandir=%{_mandir} \
	    --prefix=%{_prefix}  \
	    --libdir=%{_prefix}/%_lib  \
            --infodir=%{_infodir} \
            --sysconfdir=%{_sysconfdir} \
	    --enable-debug=no \
	    --disable-pread
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_prefix}/%_lib/*.so.*

%files devel
%defattr(-, root, root)
/usr/include/chm_lib.h
/usr/include/lzx.h
%{_prefix}/%_lib/*.la
%{_prefix}/%_lib/*.a
%{_prefix}/%_lib/*.so

%changelog -n chmlib
* Mon Jan 29 2007 - stbinner@suse.de
- update to version 0.39:
  * all of the dynamically-sized buffers which were allocated on
  the stack before have been changed to heap allocations. This
  circumvents some dangerous security flaws. (#239747)
* Wed Aug 09 2006 - stbinner@suse.de
- update to version 0.38:
  * fix extract_chmLib directory traversal problem (#197808)
  * bugfix to allow successful reading of more chm files
* Sat Jun 03 2006 - schwab@suse.de
- Port to all future systems.
* Mon May 22 2006 - stbinner@suse.de
- Initial package of version 0.37.4
